Subject: Re: bug#19102: 24.4; outline-move-subtree-up/down error at last and second-last subtree

From: Stefan Monnier <[email-masked]>
Date: Wed, 26 Nov 2014 10:54:19 -0500

> Oops, you commented on the last version of my patch, which, however, I
> had already considered superseded by the last version of the command
> subsequently posted by Paul Rankin, which in effect already addressed
> your concerns.  Rather than repost the diff for the latter, I'm
> appending the two corrected versions of outline-move-subtree-down to
> facilitate comparison and deciding which to use.

Please just send the diff that (you think) should be applied.
Or two diffs to apply in sequence if you want to distinguish your
changes from Paul's.

> The only thing I added to both is a condition for triggering the
> user-error, since the message doesn't seem appropriate when you try to
> move a subtree down at eob or up at bob (if you don't think it's worth
> avoiding the message there, I'll remove the condition).

I don't see why we should avoid the error in those cases: AFAICT, we
can't do what the user asked, so we should signal an error.

        Stefan